# Re: Epson ES-600C anyone?

Andrew Leahy (aleahy@knox.edu)
Sat, 02 Jan 1999 08:13:40 -0600

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Morris R. Bannerman: "Re: Sane and xscanimage"
- Previous message: Oliver Rauch: "Re: uc1260 scanner"

Neil Zampella wrote:
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On Thu, 31 Dec 1998 21:04:02 -0600, Andrew Leahy wrote:
>
> :>Hello,
> :>
> :>I just had an Epson ES-600C scanner (with a parallel port adaptor) fall
> :>into my hands. Does anyone know the status of this scanner? The
> :>sane-epson documentation mentions nothing about parallel scanners.
> :>

> There's a good reason why it doesn't mention Parallel Scanners ... AFAIK >.. SANE works with SCSI connected scanners only.
>
> Neil Zampella

I know it's bad form to answer your own guestions, but in case anybody
else is going this route I wanted to make a post saying that I got this
set-up working under Linux 2.0.36 and SANE 1.0. Here are some of the
(obvious in hindsight) things I needed to figure out to get it working.
(If anybody knows a more elegant way to do this, let me know.)

-Using the SANE RPM from contrib.redhat.com, I had to make sure that
/etc/sane.d/epson.conf had the parallel port number ("0x0378") instead
of /dev/scanner. (This seems to contradict the sane-epson man page,
which says that the "device name is fixed to /dev/scanner".)

-Make sure that parallel support is compiled into the kernel and not a
module. If it is compiled in as a module, manually load the module
before starting the scanner. (The scanner wouldn't even start when the
parallel cable was connected unless I ran insmod lp.o first.)

-I had to make sure that the BIOS on my FIC VA-503+ motherboard was
configured so that the parallel port was in EPP/SPP mode and not the
default SPP mode. (Otherwise, SANE would die complaining about not
having a bidirectional parallel port.)

I was very impressed with what I could get done with this scanner using
xscanimage. Many thanks to the developers! And many thanks to my
mother--this was the best $10 she ever spent at a garage sale!

Andrew Leahy
aleahy@knox.edu

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Morris R. Bannerman: "Re: Sane and xscanimage"
- Previous message: Oliver Rauch: "Re: uc1260 scanner"